Package org.apache.sling.cms.core.internal.models

## Class SiteImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.SiteImpl

All Implemented Interfaces:
  `Site`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.Site.class)
    public class SiteImpl
    extends Object
    implements Site

A model for representing a site.

### Field Summary

Fields
`static String` `PN_CONFIG`
`static String` `PN_URL`

### Constructor Summary

Constructors
`SiteImpl​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`String` `getDescription()`
`Locale` `getLocale()`
`String` `getLocaleString()`
`String` `getPath()`
`org.apache.sling.api.resource.Resource` `getResource()`
`static Site` `getSite​(org.apache.sling.api.resource.Resource resource)`
`String` `getTitle()`
`String` `getUrl()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PN_CONFIG

    public static final String PN_CONFIG

See Also:
  Constant Field Values

#### PN_URL

    public static final String PN_URL

See Also:
  Constant Field Values

### Constructor Detail

#### SiteImpl

    public SiteImpl​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getSite

    public static Site getSite​(org.apache.sling.api.resource.Resource resource)

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### getDescription

    public String getDescription()

Specified by:
  `getDescription` in interface `Site`

#### getLocale

    public Locale getLocale()

Specified by:
  `getLocale` in interface `Site`

#### getLocaleString

    public String getLocaleString()

Specified by:
  `getLocaleString` in interface `Site`

#### getPath

    public String getPath()

Specified by:
  `getPath` in interface `Site`

#### getResource

    public org.apache.sling.api.resource.Resource getResource()

Specified by:
  `getResource` in interface `Site`

#### getTitle

    public String getTitle()

Specified by:
  `getTitle` in interface `Site`

#### getUrl

    public String getUrl()

Specified by:
  `getUrl` in interface `Site`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`